coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/brands/{brandId}2609170000

Get Brand by ID

# 01

Summary

Get Brand by ID

# 02

Details

Available buyer market: Korea

This API is used to retrieve brand details by brandId.

Path

GET/v2/providers/seller_api/apis/api/v1/marketplace/brands/{brandId}

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/brands/{brandId}
# 03

Path parameters

NameTypeDescription
brandId*string
Unique brand identifier (e.g. KR-5)
# 04

Response body

Response message

NameTypeDescription
codestring
Result code
SUCCESS/ERROR
messagestring
Result message
dataobject
brandId
data.brandId
string
Unique brand identifier (e.g. KR-5)
brandName
data.brandName
string
Brand name (e.g. NIKE)
brandLogoUrl
data.brandLogoUrl
string
Brand logo image URL (null if not available)
isUIDRequired
data.isUIDRequired
boolean
Whether UID (GTIN or MPN) is required for this brand
allowedUIDTypes
data.allowedUIDTypes
object[]
List of allowed UID types (e.g. ["GTIN", "MPN"])

Response Example

{
  "code": "SUCCESS",
  "message": "",
  "data": {
    "brandId": "KR-5",
    "brandName": "NIKE",
    "brandLogoUrl": "https://image11.coupangcdn.com/image/brand/logo/nike.png",
    "isUIDRequired": true,
    "allowedUIDTypes": [
      "GTIN",
      "MPN"
    ]
  }
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 Bad Request

Failed to retrieve brand.

Ensure the brandId is valid.

400400 Bad Request

Invalid brandId format.

Verify the brandId format (e.g. KR-5).